import {Router} from '@angular/router';
import {Injectable} from '@angular/core';
import {NavController} from '@ionic/angular';

@Injectable()
export class Transfer {
    constructor(private router: Router, private nc: NavController) {
    }

    transfer(req) {
        if (!req.query) {
            req.query = '';
        }
        this.nc.navigateRoot(req.url + req.query);
    }
}
